List Deposits with Supporting Trans
curl --request GET \
--url https://app.dimepayments.com/api/deposit/list-with-trans \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"data": [],
"filters": []
}
'import requests
url = "https://app.dimepayments.com/api/deposit/list-with-trans"
payload = {
"data": [],
"filters": []
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.get(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({data: [], filters: []})
};
fetch('https://app.dimepayments.com/api/deposit/list-with-trans', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"sid": "XXXXX",
"count": 1,
"deposits": {
"128298672": {
"sid": "XXXXX",
"transaction_info_id": "983999999",
"transaction_id": "382",
"transaction_date": "2024-05-01T04:00:00.000000Z",
"fund_date": "2024-05-01 02:20:35",
"type": "withdraw_funds",
"countOfTransactions": 3,
"transTotal": "545.98",
"transactions": [
{
"transaction_type": "ACH",
"transaction_status": "ACH_PAYMENT_CREDIT",
"transaction_status_description": "Successfully completed ACH Payment that has been posted to the Escrow Account.",
"transaction_number": "369",
"transaction_date": "2024-04-29T08:30:25.000000Z",
"fund_date": "2024-04-30T20:05:21.000000Z",
"settle_date": "2024-04-29T17:51:02.000000Z",
"amount": "369.0000",
"description": "",
"status_code": "",
"status_text": "",
"email": "",
"phone": "",
"customer_uuid": "",
"multi_use_token": "",
"pending": false,
"transaction_info_id": "123123123123",
"parent_transaction_info_id": "123123123124",
"billing_address": {
"first_name": null,
"last_name": null,
"addr1": null,
"addr2": null,
"city": null,
"state": null,
"zip": null
}
},
{
"transaction_type": "CC",
"transaction_status": "CC_CREDIT",
"transaction_status_description": "Successful credit/debit card transaction that brings funds into the ProPay Account.",
"transaction_number": "1919162951",
"transaction_date": "2024-04-29T08:37:29.000000Z",
"fund_date": "2024-04-30T20:05:22.000000Z",
"settle_date": "2024-05-07T11:30:03.000000Z",
"amount": "103.0800",
"description": "",
"status_code": "",
"status_text": "",
"email": "",
"phone": "",
"customer_uuid": "",
"multi_use_token": "",
"pending": false,
"transaction_info_id": "123123123123",
"parent_transaction_info_id": "123123123124",
"billing_address": {
"first_name": null,
"last_name": null,
"addr1": null,
"addr2": null,
"city": null,
"state": null,
"zip": null
}
},
{
"transaction_type": "CC",
"transaction_status": "CC_CREDIT",
"transaction_status_description": "Successful credit/debit card transaction that brings funds into the ProPay Account.",
"transaction_number": "1920383851",
"transaction_date": "2024-04-29T11:52:43.000000Z",
"fund_date": "2024-04-30T20:05:22.000000Z",
"settle_date": "2024-05-07T11:30:03.000000Z",
"amount": "82.5200",
"description": "",
"status_code": "",
"status_text": "",
"email": "",
"phone": "",
"customer_uuid": "",
"multi_use_token": "",
"pending": false,
"transaction_info_id": "123123123123",
"parent_transaction_info_id": "123123123124",
"billing_address": {
"first_name": null,
"last_name": null,
"addr1": null,
"addr2": null,
"city": null,
"state": null,
"zip": null
}
}
]
}
}
}
}{
"errors": {
"data.sid": [
"The data.sid is not the correct format."
]
}
}{
"data.message": "Permission Denied."
}Deposit management
List Deposits with Supporting Trans
Get Deposits from Merchant Account with supporting transactions. Could result in large datasets if range is too large.
GET
/
api
/
deposit
/
list-with-trans
List Deposits with Supporting Trans
Authorizations
You can retrieve your token by visiting your dashboard and clicking Generate API token under your profile in top right.
Body
application/json
Response
⌘I

